@charset "UTF-8";
body {
  font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Helvetica, Arial, sans-serif;
}

* {
  -webkit-box-sizing: border-box;
  -moz-box-sizing: border-box;
  box-sizing: border-box;
}

html, body {
  min-height: 100vh;
  padding: 0;
  margin: 0;
  background-color: #1b1d26;
}

h1 {
  color: #89a0bf;
  font-weight: 400;
  margin-top: 0;
}
h1 strong {
  color: #f7fbff;
}

h1.display-1 {
  color: #f7fbff;
}

h2 {
  color: #89a0bf;
}

h4 {
  color: #48596f;
}

p {
  color: #89a0bf;
}
p.error {
  color: #e25353;
}
p.info {
  font-size: 10pt;
}

small {
  font-weight: bolder;
  color: #2f3a4b;
}

input, textarea {
  background-color: #60728b;
  border: none;
  padding: 4px 8px;
  outline: none;
  color: #ddd;
  border-radius: 4px;
  font-size: 11pt;
  caret-color: #f5d47a;
}
input.optional, textarea.optional {
  background-color: #2f3a4b;
}
input.code, textarea.code {
  background-color: #2f3a4b;
}
input.code:hover, textarea.code:hover {
  background-color: #2f3a4b;
}
input.error, textarea.error {
  background-color: #e25353;
}

button {
  border-radius: 4px;
  background-color: #60728b;
  border: none;
  padding: 4px 8px;
  outline: none;
  color: #c7d7ef;
}
button:disabled {
  cursor: default;
  background-color: #2f3a4b;
  color: #48596f;
}
button:hover:not([disabled]) {
  cursor: pointer;
  background-color: #6b7f9a;
  color: #f7fbff;
}

::placeholder {
  /* Chrome, Firefox, Opera, Safari 10.1+ */
  color: #89a0bf;
  opacity: 1;
  /* Firefox */
}

:-ms-input-placeholder {
  /* Internet Explorer 10-11 */
  color: #89a0bf;
}

::-ms-input-placeholder {
  /* Microsoft Edge */
  color: #89a0bf;
}

table input:hover, table input:focus {
  border-radius: 0;
  background-color: #60728b;
}

table {
  border-collapse: collapse;
  min-width: 100%;
}

th {
  padding: 4px 8px;
  margin: 0;
  text-align: left;
}
th.action {
  text-align: center;
}
th i {
  color: #48596f;
}

tr, td {
  padding: 0;
  margin: 0;
}

td.padded {
  padding: 4px 8px;
}

th {
  background-color: #0f1117;
  color: #c7d7ef;
  font-size: 12pt;
}

td {
  color: #f7fbff;
  font-size: 11pt;
}

td input {
  background-color: transparent;
  min-width: 100%;
}

tr.zebra:nth-of-type(odd) {
  background-color: #21242f;
}

table#smart-table-element > tr:hover, table#smart-table-element > tr.zebra:nth-of-type(odd):hover {
  background-color: #282b39;
}

table#smart-table-element > tr.editing {
  background-color: #386695;
}

table#smart-table-element > tr.deleting {
  background-color: #e05125;
}

input:hover {
  background-color: #6b7f9a;
}
input:hover.error {
  background-color: #e25353;
}

input[type=submit]:hover {
  cursor: pointer;
  background-color: #6b7f9a;
}
input[type=submit]:hover.error {
  background-color: #e25353;
}

a {
  color: #f5d47a;
}

.container {
  padding: 2em;
}

/* ------
//flex-flow: <‘flex-direction’> || <‘flex-wrap’>;
//flex-direction: row | row-reverse | column | column-reverse;
//flex-wrap: nowrap | wrap | wrap-reverse;
//justify-content: flex-start | flex-end | center | space-between | space-around | space-evenly;
//align-items: stretch | flex-start | flex-end | center | baseline;
//justify-content: $justify-content;
//align-items: $align-items;
 ------ */
.flex {
  display: flex;
  align-items: center;
}

.flex-row {
  display: flex;
  flex-flow: row wrap;
}

.flex-col {
  display: flex;
  flex-flow: column;
  align-items: normal;
}

.hero {
  width: 100%;
  height: 100vh;
}

[class*=-nowrap] {
  flex-wrap: nowrap;
}

[class*=-reverse] {
  flex-direction: row-reverse;
}

[class*=align-start] {
  align-items: flex-start;
}

[class*=align-center] {
  align-items: center;
}

[class*=align-end] {
  align-items: flex-end;
}

[class*=align-stretch] {
  align-items: stretch;
}

[class*=justify-start] {
  justify-content: flex-end;
}

[class*=justify-center] {
  justify-content: center;
}

[class*=justify-end] {
  justify-content: flex-end;
}

[class*=space-between] {
  justify-content: space-between;
}

[class*=space-around] {
  justify-content: space-around;
}

[class*=grow] {
  flex: 1;
}

[class*=first] {
  order: -1;
}

[class*=last] {
  order: 1;
}

.flex-margin-right {
  margin-right: 10px;
}

.tab-list {
  border-bottom: 1px solid #354253;
}

.tab-item {
  padding: 16px;
  color: #89a0bf;
  border-right: 1px solid #354253;
  display: inline-block;
}
.tab-item.right {
  float: right;
  border-right: none;
  border-left: 1px solid #354253;
}
.tab-item.disabled {
  cursor: default !important;
  background-color: #2f3a4b !important;
  color: #48596f !important;
}

.tab-item:hover {
  cursor: pointer;
  background-color: #354253;
}

.pagination {
  width: max-content;
}
.pagination .page_item {
  display: inline-block;
  padding: 0 5px;
  cursor: pointer;
  color: #89a0bf;
}
.pagination .page_item:hover {
  color: #c7d7ef;
}
.pagination .page_item.active {
  color: #f5d47a;
  border-bottom: 1px solid #f5d47a;
  font-weight: bolder;
  cursor: default;
}

#smart-table-row-selector {
  width: max-content;
}

select {
  border-radius: 4px;
  background-color: #60728b;
  border: none;
  padding: 4px 0 4px 4px;
  outline: none;
  color: #c7d7ef;
  cursor: pointer;
}

.meta-actions {
  margin-bottom: 20px;
}
.meta-actions small {
  color: #48596f;
  margin-right: 8px;
}
.meta-actions .highlight {
  color: #89a0bf;
}

table#smart-table-element > tr.clickable:hover {
  background-color: #282b39;
  cursor: pointer;
}

table tr td.clickable, table tr td i {
  cursor: pointer;
  text-align: center;
  color: #48596f;
}

table tr td.clickable i:hover, table tr td i:hover {
  color: #89a0bf;
}

table tr.editing td.clickable i {
  color: #89a0bf;
}

table tr.editing td.clickable i:hover {
  color: #c7d7ef;
}

table tr.deleting td.clickable i {
  color: #ff9371;
}

table tr.deleting td.clickable i:hover {
  color: #ffd8cb;
}

table#smart-table-element > th {
  position: sticky;
  top: 0;
}

th {
  white-space: nowrap;
}

.actions {
  text-align: center;
}
.actions small {
  font-weight: 200;
}

table#smart-table-element > tr > td.actions, table#smart-table-element > tr > th.actions {
  position: sticky;
  left: 0;
  background: #0f1117;
  padding: 0 8px;
}

table#smart-table-element > tr.editing > td.actions {
  background-color: #386695;
}

table#smart-table-element > tr.deleting > td.actions {
  background-color: #e05125;
}

.modal-container {
  position: fixed;
  top: 0;
  right: 0;
  left: 0;
  bottom: 0;
  z-index: 99;
  background-color: rgba(27, 29, 38, 0.94);
}
.modal-container .modal-window {
  margin: 0 auto;
  background-color: #1b1d26;
  padding: 20px;
  border: 1px solid #354253;
  max-width: 420pt;
  width: 40vw;
  min-width: 120px;
}
.modal-container .modal-window h1:first-child, .modal-container .modal-window h2:first-child, .modal-container .modal-window h3:first-child, .modal-container .modal-window h4:first-child {
  margin-top: 0;
}
.modal-container .modal-window h1:last-child, .modal-container .modal-window h2:last-child, .modal-container .modal-window h3:last-child, .modal-container .modal-window h4:last-child {
  margin-bottom: 0;
}
.modal-container .modal-window.wide {
  max-width: 720pt;
  width: 70vw;
  min-width: 120px;
}

.noselect {
  -webkit-touch-callout: none;
  /* iOS Safari */
  -webkit-user-select: none;
  /* Safari */
  -khtml-user-select: none;
  /* Konqueror HTML */
  -moz-user-select: none;
  /* Old versions of Firefox */
  -ms-user-select: none;
  /* Internet Explorer/Edge */
  user-select: none;
  /* Non-prefixed version, currently supported by Chrome, Edge, Opera and Firefox */
}

footer {
  font-size: 10pt;
  position: fixed;
  bottom: 0;
  left: 0;
  right: 0;
  padding: 0 16px;
}
footer .right {
  float: right;
}

#connection_status:hover .tooltip {
  display: block;
}
#connection_status .tooltip {
  display: none;
  color: #fff;
  background-color: #e25353;
  margin-top: -3.5em;
  /* moves it down */
  position: absolute;
  z-index: 1000;
  font-size: 10pt;
  padding: 2px 4px;
}

.recent-connection {
  width: 340px;
  overflow-x: hidden;
  align-self: stretch;
  display: block;
  border-right: 1px solid #354253;
  padding: 20px;
}
.recent-connection .item:hover .tooltip {
  display: block;
}
.recent-connection .tooltip {
  display: none;
  color: #fff;
  background-color: #48596f;
  margin-left: 280px;
  /* moves the tooltip to the right */
  position: absolute;
  z-index: 1000;
  font-size: 10pt;
  padding: 2px 4px;
}
.recent-connection .remove {
  float: right;
  color: #48596f;
}
.recent-connection .remove:hover {
  color: #e25353;
}

input[type=checkbox] {
  position: relative;
  z-index: 1;
  opacity: 0;
  cursor: pointer;
  margin: 0;
  margin-right: 5px;
  visibility: hidden;
  height: 0px;
  padding: 0;
}

.input-checkbox-icon {
  position: relative;
}

.input-checkbox-icon:before {
  font-family: "Font Awesome 5 Free";
  position: absolute;
  left: -1.1rem;
  top: 1px;
  z-index: 0;
  content: "";
}

input[type=checkbox]:checked + .input-checkbox-icon:before {
  font-family: "Font Awesome 5 Free";
  color: #27a8df;
  content: "";
}

/* width */
::-webkit-scrollbar {
  width: 10px;
  height: 10px;
}

/* Track */
::-webkit-scrollbar-track {
  background: #0f1117;
}

/* Handle */
::-webkit-scrollbar-thumb {
  background: #48596f;
}

/* Handle on hover */
::-webkit-scrollbar-thumb:hover {
  background: #89a0bf;
}

/*# sourceMappingURL=style.css.map */
